
%global meadversion 1.2.0
%global namedversion 1.2.0.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 2

%bcond_without mead

%define maven_version 1.2.0.Final-redhat-2

Name: jbossws-common-tools
Summary: JBoss Web Services - Tools Integration
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
License:        LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: jbossws-common-tools-1.2.0.Final-redhat-2-scm-sources.zip
Source101: jbossws-common-tools-1.2.0.Final-redhat-2-patches.zip
Source102: jbossws-common-tools-1.2.0.Final-redhat-2-javadoc.jar
Source103: jbossws-common-tools-1.2.0.Final-redhat-2.pom
Source104: jbossws-common-tools-1.2.0.Final-redhat-2-sources.jar
Source105: jbossws-common-tools-1.2.0.Final-redhat-2.jar
%endif


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires: unzip

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
JBossWS Common Tools

%if %without mead
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}
%endif

%prep

%build

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}

#poms
%add_to_maven_depmap org.jboss.ws %{name} %{namedversion} JPP %{name}
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

#jars
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}.jar %{name}.jar)

install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}-sources.jar %{name}-sources.jar)

%if %without mead
#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})
%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{namedversion}
%endif

%changelog
* Wed Sep 18 2013 Lin Gao <lgao@redhat.com> - 1.2.0-1.Final_redhat_2
- Rebuild to change the dependency to gnu.getopt:java-getopt

* Fri Sep 06 2013 Lin Gao <lgao@redhat.com> - 1.2.0-1.Final_redhat_1
- Upgrade to 1.2.0.Final

* Sun Feb 17 2013 Hui Wang <huwang@redhat.com> - 1.1.0-1.Final_redhat_1
- Upgrade to 1.1.0.Final

* Thu Oct 11 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-1.GA_redhat_1
- Upgrade to 1.0.2.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-10.GA_redhat_3.1.4
- Rebuild for MD5

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.1-9.GA_redhat_3.1.4
- Fix dependency management to eap 6.0.1 boms

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-9.GA_redhat_2.1.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-9.GA_redhat_1.1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-9.GA_redhat_1.1.1
- Rebuild using cache signing

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-9.GA_redhat_1.1
- Remove javadoc JAR from SRPM and disable javadoc subpackage

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-8.GA_redhat_1.1
- Clean MANIFEST

* Mon Mar 26 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-7.GA_redhat_1.1
- Upgrade to 1.0.1.GA-redhat-1

* Fri Mar 16 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-6.GA_redhat_1
- Use new wrapper
- Change jars install path
- Requires jpackage-utils in javadoc subpackage
- Remove META-INF from javadoc

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-6.GA_redhat_1
- Rebuild to use new signing key

* Thu Feb 02 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-5.GA_redhat_1
- fix groupId of maven depmap

* Tue Jan 31 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-4.GA_redhat_1
- switch to rhpkg build
- fill spec file for rpm build from mead build

* Fri Jan 06 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-3
- upgrade to 1.0.0.GA

* Mon Nov 28 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-2
- First mead build
- Upgrade to 1.0.0.CR1

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
